shibboleth-2.6.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

shibsp::ProtocolProvider Member List

This is the complete list of members for shibsp::ProtocolProvider, including all inherited members.

getBindings(const char *protocol, const char *service) const =0 | shibsp::ProtocolProvider | pure virtual
getInitiator(const char *protocol, const char *service) const =0 | shibsp::ProtocolProvider | pure virtual
ProtocolProvider() (defined in shibsp::ProtocolProvider) | shibsp::ProtocolProvider | protected
~ProtocolProvider() (defined in shibsp::ProtocolProvider) | shibsp::ProtocolProvider | virtual